## com.arsdigita.cms.webpage.ui
Class WebpagePortletEditorPage.WebpagePortletEditorForm

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.FormSection
                  com.arsdigita.bebop.Form
                      com.arsdigita.cms.webpage.ui.WebpagePortletEditorPage.WebpagePortletEditorForm

All Implemented Interfaces:
  com.arsdigita.bebop.util.BebopConstants, Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, EventListener, com.arsdigita.bebop.event.FormInitListener, com.arsdigita.bebop.event.FormProcessListener, com.arsdigita.util.Lockable

Enclosing class:
  WebpagePortletEditorPage

public class WebpagePortletEditorPage.WebpagePortletEditorForm
extends com.arsdigita.bebop.Form
implements com.arsdigita.bebop.event.FormInitListener, com.arsdigita.bebop.event.FormProcessListener

Field Summary

Fields inherited from class com.arsdigita.bebop.Form
`GET, POST, versionId`

Fields inherited from class com.arsdigita.bebop.FormSection
`m_formModel, m_panel`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.event.FormInitListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.event.FormProcessListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.util.BebopConstants

`BEBOP_BORDER, BEBOP_BOXPANEL, BEBOP_CELL, BEBOP_CHECKBOX, BEBOP_CHECKBOXGROUP, BEBOP_COLUMNPANEL, BEBOP_DATE, BEBOP_DATETIME, BEBOP_DHTMLEDITOR, BEBOP_FORMERRORS, BEBOP_FORMWIDGET, BEBOP_GRIDPANEL, BEBOP_LIST, BEBOP_MULTISELECT, BEBOP_OPTION, BEBOP_PAD, BEBOP_PADFRAME, BEBOP_PANELROW, BEBOP_PORTAL, BEBOP_PORTLET, BEBOP_RADIO, BEBOP_RADIOGROUP, BEBOP_SEG_BODY, BEBOP_SEG_HEADER, BEBOP_SEG_PANEL, BEBOP_SEGMENT, BEBOP_SELECT, BEBOP_TABLE, BEBOP_TABLEBODY, BEBOP_TABLEROW, BEBOP_TEXTAREA`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebpagePortletEditorPage.WebpagePortletEditorForm()`

Method Summary
`void` `addWidgets()`
`protected WebpagePortlet` `getWebpagePortlet(com.arsdigita.bebop.PageState ps, BigDecimal portletID)`
`void` `init(com.arsdigita.bebop.event.FormSectionEvent e)`
`void` `process(com.arsdigita.bebop.event.FormSectionEvent e)`

Methods inherited from class com.arsdigita.bebop.Form
`addMagicTag, excludeParameterFromExport, generateErrors, generateXML, generateXMLSansState, getAction, getFormData, getName, getProcessInvisible, isRedirecting, process, register, respond, setAction, setEncType, setFormData, setMethod, setName, setOnReset, setOnSubmit, setProcessInvisible, setRedirecting, toString, traverse`

Methods inherited from class com.arsdigita.bebop.FormSection

`add, add, addCancelListener, addInitListener, addProcessListener, addSubmissionListener, addValidationListener, children, contains, createInitListener, createProcessListener, createSubmissionListener, createValidationListener, fireCancel, fireInit, fireProcess, fireSubmitted, fireValidate, forwardInit, forwardProcess, forwardSubmission, forwardValidation, get, getModel, getPanel, indexOf, isEmpty, lock, register, removeCancelListener, removeInitListener, removeProcessListener, removeSubmissionListener, removeValidationListener, size`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Constructor Detail

### WebpagePortletEditorPage.WebpagePortletEditorForm

    public WebpagePortletEditorPage.WebpagePortletEditorForm()

Method Detail

### addWidgets

    public void addWidgets()

### init

    public void init(com.arsdigita.bebop.event.FormSectionEvent e)
              throws com.arsdigita.bebop.FormProcessException

  Specified by:
    `init` in interface `com.arsdigita.bebop.event.FormInitListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

### process

    public void process(com.arsdigita.bebop.event.FormSectionEvent e)
                 throws com.arsdigita.bebop.FormProcessException

  Specified by:
    `process` in interface `com.arsdigita.bebop.event.FormProcessListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

### getWebpagePortlet

    protected WebpagePortlet getWebpagePortlet(com.arsdigita.bebop.PageState ps,
                                               BigDecimal portletID)
                                        throws com.arsdigita.bebop.FormProcessException

  Throws:
    `com.arsdigita.bebop.FormProcessException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC